package com.health.auth.service;

import com.health.common.domain.User;
import com.health.common.domain.req.ReqLogin;
import com.health.common.domain.resp.RespJWT;
import com.health.common.result.Result;

import javax.servlet.http.HttpServletRequest;

/**
 * @author Administrator
 */
public interface UserService {


    /**
     * 登录方法--获取token
     * @param reqLogin
     * @return  返回result格式的jwt包含：（token，过期时间）
     */
    Result<RespJWT> login(ReqLogin reqLogin);

    /**
     * 每次都对请求做权限判断
     * @param request
     * @return 返回result格式的User对象包含：（用户信息）
     */
    Result<User> userinfo(HttpServletRequest request);


}
