package com.health.auth.controller;

import com.health.auth.service.UserService;
import com.health.common.domain.User;
import com.health.common.domain.req.ReqLogin;
import com.health.common.domain.resp.RespJWT;
import com.health.common.result.Result;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

/**
 * @author Administrator
 */
@RestController
@RequestMapping("/admin")
@AllArgsConstructor
public class UserController {
    private final UserService userService;

    @PostMapping("/login")
    public Result<RespJWT> login(@RequestBody ReqLogin reqLogin){
        return userService.login(reqLogin);
    }


    @GetMapping("/user/info")
    Result<User> userinfo(HttpServletRequest request){
        return  userService.userinfo(request);

    }





}
